Subject: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7

From: Curtis Gedak <[email-masked]>
Date: Thu, 17 Jul 2014 13:35:08 -0600

Hi Phillip,

In my Debian 7 VM I ran 'apt-get update' and 'apt-get upgrade' to ensure 
that I had the latest packages.

Next I removed the entire parted-3.1.90 directory, rebuilt parted, and 
then ran 'make check' as root again.  The same error occurs.

Attached is the log (t0251-gpt-unicode.log) as requested in:

[parted-devel] [PATCH] Bump library REVISION number for release
http://lists.alioth.debian.org/pipermail/parted-devel/2014-July/004549.html

Regards,
Curtis

On 14-07-04 07:46 PM, Curtis Gedak wrote:
> Following is some information from running "make check" both as a 
> normal user and as root:
>
> DEBIAN 7 - 32 bit
> =================
>
> $ make check
> <snip>
> ============================================================================ 
>
> Testsuite summary for GNU parted 3.1.90
> ============================================================================ 
>
> # TOTAL: 78
> # PASS:  39
> # SKIP:  38
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
> ============================================================================ 
>
> See tests/test-suite.log
> Please report to [email-masked]
> ============================================================================ 
>
>
> $ grep FAIL tests/test-suite.log
> # XFAIL: 0
> # FAIL:  1
> FAIL: t0251-gpt-unicode
>
>
> # make check
> <snip>
> PASS: t8000-loop.sh
> PASS: t8001-loop-blkpg.sh
> t9010-big-sector.sh rmmod scsi_debug...
> PASS: t9010-big-sector.sh
> t9020-alignment.sh rmmod scsi_debug...
> PASS: t9020-alignment.sh
> PASS: t9021-maxima.sh
> PASS: t9022-one-unit-snap.sh
> PASS: t9023-value-lt-one.sh
> t9030-align-check.sh /dev/sdc1 failed to disappear
> t9030-align-check.sh /dev/sdc1 failed to disappear
> t9030-align-check.sh /dev/sdc1 failed to disappear
> ....
++ initial_cwd_=/home/user/parted-3.1.90/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/user/parted-3.1.90/tests gt-t0251-gpt-unicode.sh.XXXX
+++ case $# in
+++ destdir_=/home/user/parted-3.1.90/tests
+++ template_=gt-t0251-gpt-unicode.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
+++ case $d in
+++ test -d /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
++++ tr S -
++++ ls -dgo /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
+++ perms='drwx------ 2 4096 Jul 17 19:29 /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069'
+++ case $perms in
+++ test 0 = 0
+++ echo /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
+++ return
++ test_dir_=/home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
++ cd /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../parted
+ test 1 '!=' 0
+ path_dir_=../parted
+ case $path_dir_ in
+ abs_path_dir_=/home/user/parted-3.1.90/tests/../parted
+ case $abs_path_dir_ in
+ PATH=/home/user/parted-3.1.90/tests/../parted:/home/user/parted-3.1.90/parted:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ create_exe_shims_ /home/user/parted-3.1.90/tests/../parted
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ dev=loop-file
+ truncate -s 10m loop-file
+ export LC_ALL=en_US.UTF-8
+ LC_ALL=en_US.UTF-8
./t0251-gpt-unicode.sh: line 25: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8): No such file or directory
++ printf 'foo\341\264\244'
+ part_name=$'foo\341\264\244'
+ parted -s loop-file mklabel gpt mkpart primary ext2 1MiB 2MiB name 1 $'foo\341\264\244'
+ fail=1
+ compare /dev/null empty
+ compare_dev_null_ /dev/null empty
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s empty
+ emit_diff_u_header_ /dev/null empty
+ printf '%s\n' 'diff -u /dev/null empty' '--- /dev/null	1970-01-01' '+++ empty	1970-01-01'
diff -u /dev/null empty
--- /dev/null	1970-01-01
+++ empty	1970-01-01
+ sed 's/^/+/' empty
+/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
+Error during translation: Invalid or incomplete multibyte or wide character
+ return 1
+ case $? in
+ return 1
+ fail=1
+ od -An -tx1
+ dd if=loop-file bs=1 skip=2104 count=10
+ echo ' 66 00 6f 00 6f 00 24 1d 00 00'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
--- exp	2014-07-17 19:29:20.154816906 +0000
+++ out	2014-07-17 19:29:20.154816906 +0000
@@ -1 +1 @@
- 66 00 6f 00 6f 00 24 1d 00 00
+ 00 00 00 00 00 00 00 00 00 00
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ cleanup_fn_
+ :
+ cleanup_final_
+ scsi_debug_cleanup_
+ test -n ''
+ rm -fr /home/user/parted-3.1.90/tests/scsi_debug.lock
+ cd /home/user/parted-3.1.90/tests
+ chmod -R u+rwx /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
+ rm -rf /home/user/parted-3.1.90/tests/gt-t0251-gpt-unicode.sh.a069
+ exit 1